Get user contacts
curl --request GET \
--url https://api.hevn.finance/api/v1/user/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hevn.finance/api/v1/user/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hevn.finance/api/v1/user/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"contacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
},
"iban": {
"bankName": "<string>",
"ibanNumber": "<string>",
"beneficiaryName": "<string>",
"bankAddress": "<string>",
"currency": "<string>",
"accountHolderFirstName": "<string>",
"accountHolderLastName": "<string>",
"accountHolderBusinessName": "<string>",
"accountHolderAddress": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
},
"paymentReference": "<string>",
"accountType": "sepa",
"bic": "<string>"
},
"crypto": {
"address": "<string>",
"chain": "<string>",
"token": "<string>"
},
"user": {
"avatar": "<string>",
"name": "<string>"
}
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}User
Get user contacts
Get all contacts for the current user.
GET
/
api
/
v1
/
user
/
contacts
Get user contacts
curl --request GET \
--url https://api.hevn.finance/api/v1/user/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hevn.finance/api/v1/user/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hevn.finance/api/v1/user/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"contacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"address": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
},
"iban": {
"bankName": "<string>",
"ibanNumber": "<string>",
"beneficiaryName": "<string>",
"bankAddress": "<string>",
"currency": "<string>",
"accountHolderFirstName": "<string>",
"accountHolderLastName": "<string>",
"accountHolderBusinessName": "<string>",
"accountHolderAddress": {
"streetAddress": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
},
"paymentReference": "<string>",
"accountType": "sepa",
"bic": "<string>"
},
"crypto": {
"address": "<string>",
"chain": "<string>",
"token": "<string>"
},
"user": {
"avatar": "<string>",
"name": "<string>"
}
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Required range:
1 <= x <= 500Required range:
x >= 0Was this page helpful?
⌘I